// @ts-check

// Transform an axios promise that resolves res.data
const getData = axiosPromise => {
  return new Promise((resolve, reject) =>
    axiosPromise.then(res => resolve(res.data)).catch(err => reject(err))
  );
};

// Set (or unset) the authorization token into the request headers
const setAuth = (axios, token) => {
  if (token) {
    axios.defaults.headers.common['Authorization'] = token;
  } else {
    delete axios.defaults.headers.common['Authorization'];
  }
};

module.exports = {
  getData,
  setAuth
};
